import type { WorkoutEntry } from '$lib/types';

export function getWorkouts(): WorkoutEntry[] {
	if (typeof localStorage === 'undefined') return [];
	return JSON.parse(localStorage.getItem('workouts') || '[]');
}

export function saveWorkouts(workouts: WorkoutEntry[]) {
	localStorage.setItem('workouts', JSON.stringify(workouts));
}
